/**
 * Copyright (C) 2010-2012 Agrosense info@agrosense.eu
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package nl.cloudfarming.client.task.model;

import org.openide.filesystems.FileObject;

/**
 * Interface to save or load Agrosense Tasks
 * @author Gerben Feenstra
 */
public interface TaskManager {

    /**
     * loads a task from a fileobject
     *
     * @param fileObject
     * @return Loaded cropfield
     */
    Task load(FileObject fileObject);

    /**
     * Save a Task
     * 
     * @param task
     * @param fileObject
     */
    void save(Task task, FileObject fileObject);
  
}
